> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Packages

> Use this operation to retieve all packages for a given applicationKey.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json get /platform/appdev/apppackages/applications/{applicationKey}/packages
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/apppackages/applications/{applicationKey}/packages:
    get:
      tags:
        - Package
      summary: Get Packages
      description: Use this operation to retieve all packages for a given applicationKey.
      parameters:
        - description: ''
          in: path
          name: applicationKey
          required: true
          schema:
            type: string
        - description: ''
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: pageSize
          schema:
            default: 50
            format: int32
            type: integer
        - description: ''
          in: query
          name: sortBy
          schema:
            type: string
        - description: ''
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackageCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/PackageCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/PackageCollection'
          description: OK
components:
  schemas:
    PackageCollection:
      description: ''
      properties:
        items:
          items:
            $ref: '#/components/schemas/AppDevPackage'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    AppDevPackage:
      description: ''
      properties:
        apiVersion:
          description: ''
          nullable: true
          type: string
        appConfigUrl:
          description: >-
            This will be used by the 3rd party developers to set a URL the
            intalled 

            applications can call from the Tenant installation/
          nullable: true
          type: string
        appId:
          description: ''
          nullable: true
          type: string
        appKey:
          description: App Key for the package in question.
          nullable: true
          type: string
        appSchemeVersion:
          description: ''
          format: int32
          type: integer
        applicationAttributes:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationAttribute'
          nullable: true
          type: array
        applicationBehaviors:
          description: >-
            List of Application Behaviors that apply to this version of the
            application.
          items:
            $ref: '#/components/schemas/ApplicationBehavior'
          nullable: true
          type: array
        applicationCapabilities:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapability'
          nullable: true
          type: array
        applicationCapabilityTypes:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapabilityType'
          nullable: true
          type: array
        applicationDescription:
          description: ''
          nullable: true
          type: string
        applicationDetailId:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationEntitlements:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationEntitlement'
          nullable: true
          type: array
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationName:
          description: ''
          nullable: true
          type: string
        applicationOwnerDevAccountId:
          description: This is the DevAccountId that owns the application
          format: int32
          type: integer
        applicationStatus:
          description: ''
          nullable: true
          type: string
        applicationStatusId:
          description: ''
          format: int32
          type: integer
        applicationStatusName:
          description: ''
          nullable: true
          type: string
        applicationSubscriptions:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationSubscription'
          nullable: true
          type: array
        applicationTypeId:
          description: ''
          format: int32
          type: integer
        applicationTypeName:
          description: ''
          nullable: true
          type: string
        applicationUpdateDate:
          description: ''
          format: date-time
          nullable: true
          type: string
        assetFileCount:
          description: ''
          format: int32
          type: integer
        attributeNamespace:
          description: ''
          nullable: true
          type: string
        dataNamespace:
          description: ''
          nullable: true
          type: string
        hasApplicationVersions:
          description: ''
          type: boolean
        id:
          description: ''
          format: int32
          type: integer
        isDeleted:
          description: ''
          type: boolean
        isLocked:
          description: ''
          type: boolean
        isReleasePackage:
          description: ''
          type: boolean
        legacyNamespace:
          description: ''
          nullable: true
          type: string
        majorVersion:
          description: ''
          format: int32
          type: integer
        minorVersion:
          description: ''
          format: int32
          type: integer
        namespace:
          description: ''
          nullable: true
          type: string
        namespaceRegistryId:
          description: ''
          nullable: true
          type: string
        packageDescription:
          description: ''
          nullable: true
          type: string
        packageGuid:
          description: ''
          nullable: true
          type: string
        packageName:
          description: ''
          nullable: true
          type: string
        parentThemeAppKey:
          description: |-
            The parent theme AppKey if this is a theme and 
            the theme extends a valid, published theme.
          nullable: true
          type: string
        parentThemeName:
          description: ''
          nullable: true
          type: string
        publishedParentSemanticVersion:
          description: ''
          nullable: true
          type: string
        publishedParentThemeId:
          description: ''
          format: int32
          nullable: true
          type: integer
        revision:
          description: ''
          format: int32
          type: integer
        semanticVersionRange:
          description: ''
          nullable: true
          type: string
        sharedSecret:
          description: ''
          nullable: true
          type: string
        themeEngineVersion:
          description: ''
          nullable: true
          type: string
        updateAvailable:
          description: Whether or not there's a theme update.
          type: boolean
        updateDate:
          description: ''
          format: date-time
          type: string
        updateParentAppKey:
          description: |-
            The AppKey is a runtime type.
            This only applies for themes that inherit from another theme.
            It shows the most current update available.
          nullable: true
          type: string
        updateParentThemeName:
          description: |-
            This only applies for themes that inherit from another theme.
            It shows the name of the most current update available.
          nullable: true
          type: string
        updateParentThemeVersion:
          description: |-
            This only applies for themes that inherit from another theme.
            It shows the version of the most current update available.
          nullable: true
          type: string
        userId:
          description: ''
          nullable: true
          type: string
        validApplicationStatusIdList:
          description: >-
            List of Statuses that the application can move to during the
            application lifecycle.

            This is based on what the current value of the ApplicatinStatusId
            is.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
      type: object
    ApplicationAttribute:
      description: Holds attribute definitions for AppVersion
      properties:
        attributeCodes:
          description: Comma delimited list of attribute codes.
          nullable: true
          type: string
        attributeJson:
          description: json representation of attribute definitions
          nullable: true
          type: string
        attributes:
          description: ''
          items:
            $ref: '#/components/schemas/AppDevAttribute'
          nullable: true
          type: array
        isAppliedToBase:
          type: boolean
        packageId:
          description: ''
          format: int32
          type: integer
        productTypeJson:
          description: Will contain ProductTypeCollection if Product, else AttributeSet
          nullable: true
          type: string
        sourceTenantId:
          description: Source Tenant Id
          format: int32
          type: integer
        sourceTenantName:
          description: Source Tenant Name
          nullable: true
          type: string
        subsystem:
          description: Customer, Order, or Product
          nullable: true
          type: string
      type: object
    ApplicationBehavior:
      description: ''
      properties:
        behaviorId:
          description: ''
          format: int32
          type: integer
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    ApplicationCapability:
      description: ''
      properties:
        applicationCapabilityId:
          description: ''
          format: int32
          type: integer
        applicationCapabilityTypeId:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationEndPoint:
          description: ''
          nullable: true
          type: string
        capabilityTypeContractId:
          description: ''
          format: int32
          type: integer
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    ApplicationCapabilityType:
      description: ''
      properties:
        applicationCapabilities:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapability'
          nullable: true
          type: array
        applicationCapabilityDomains:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapabilityDomain'
          nullable: true
          type: array
        applicationCapabilityTypeId:
          description: ''
          format: int32
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        capabilityTypeId:
          description: ''
          format: int32
          type: integer
        capabilityTypeName:
          description: ''
          nullable: true
          type: string
        isImplemented:
          description: ''
          type: boolean
        isInitializedByDefault:
          description: ''
          type: boolean
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    ApplicationEntitlement:
      description: ''
      properties:
        appKey:
          description: ''
          nullable: true
          type: string
        appOwnerDevAccountId:
          description: Denotes the application owner dev account id
          format: int32
          type: integer
        applicationEntitlementId:
          description: ''
          format: int32
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationLicenseType:
          description: ''
          nullable: true
          type: string
        applicationName:
          description: ''
          nullable: true
          type: string
        applicationStatusId:
          description: ''
          nullable: true
          type: string
        applicationTransactions:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationTransaction'
          nullable: true
          type: array
        applicationVersion:
          description: ''
          nullable: true
          type: string
        devAccountId:
          description: Denotes which DevAccountId is the application installed in
          format: int32
          type: integer
        effectiveEndDate:
          description: ''
          format: date-time
          nullable: true
          type: string
        effectiveStartDate:
          description: ''
          format: date-time
          nullable: true
          type: string
        entitlementStatus:
          description: ''
          nullable: true
          type: string
        installedAppsApplicationId:
          description: ''
          nullable: true
          type: string
        installedByFirstName:
          description: ''
          nullable: true
          type: string
        installedByLastName:
          description: ''
          nullable: true
          type: string
        installedDate:
          description: ''
          format: date-time
          type: string
        packageId:
          description: ''
          format: int32
          type: integer
        packageName:
          description: ''
          nullable: true
          type: string
        siteId:
          description: ''
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: ''
          format: int32
          type: integer
        tenantName:
          description: ''
          nullable: true
          type: string
      type: object
    ApplicationSubscription:
      description: Defines an event that an Application Version is subscribed to.
      properties:
        applicationEndPoint:
          description: >-
            The End Point where the event information will be sent to when the
            event is fired.
          nullable: true
          type: string
        applicationSubscriptionId:
          description: The unique identifier of an ApplicationVersionEvent record.
          format: int32
          type: integer
        events:
          description: ''
          items:
            $ref: '#/components/schemas/AppDevEvent'
          nullable: true
          type: array
        noCallback:
          description: ''
          type: boolean
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    AppDevAttribute:
      description: ''
      properties:
        adminName:
          description: ''
          nullable: true
          type: string
        applicationAttributeId:
          description: ''
          format: int32
          type: integer
        attributeId:
          description: ''
          format: int32
          type: integer
        code:
          description: ''
          nullable: true
          type: string
        fqn:
          description: ''
          nullable: true
          type: string
        inputType:
          description: ''
          nullable: true
          type: string
        name:
          description: ''
          nullable: true
          type: string
        sequence:
          description: ''
          format: int32
          type: integer
        type:
          description: ''
          nullable: true
          type: string
        vocabularyJson:
          description: ''
          nullable: true
          type: string
        vocabularyValues:
          description: ''
          nullable: true
          type: string
      type: object
    ApplicationCapabilityDomain:
      description: ''
      properties:
        applicationCapabilityDomainId:
          description: ''
          format: int32
          type: integer
        applicationCapabilityDomainValues1:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapabilityDomainValue'
          nullable: true
          type: array
        applicationCapabilityDomainValues2:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationCapabilityDomainValue'
          nullable: true
          type: array
        applicationCapabilityTypeId:
          description: ''
          format: int32
          type: integer
        name:
          description: ''
          nullable: true
          type: string
      type: object
    ApplicationTransaction:
      description: ''
      properties:
        applicationEntitlementId:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationTransactionId:
          description: ''
          format: int32
          type: integer
        isoCurrencyCode:
          description: ''
          nullable: true
          type: string
        localeCode:
          description: ''
          format: int32
          type: integer
        orderNumber:
          description: ''
          nullable: true
          type: string
        siteId:
          description: ''
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: ''
          format: int32
          type: integer
        transactionDate:
          description: ''
          format: date-time
          type: string
        transactionPrice:
          description: ''
          format: double
          type: number
        transactionTax:
          description: ''
          format: double
          type: number
        transactionTotal:
          description: ''
          format: double
          type: number
      type: object
    AppDevEvent:
      description: Describes an event that a 3rd party developer can subscribe to.
      properties:
        apiVersionNumber:
          description: >-
            The Api Version Number which defines what events are available for a
            given API version.
          nullable: true
          type: string
        eventCategory:
          description: The category the event belongs to.
          nullable: true
          type: string
        eventId:
          description: Unique identifier of an Event record.
          format: int32
          type: integer
        eventName:
          description: The name of the event.
          nullable: true
          type: string
      type: object
    ApplicationCapabilityDomainValue:
      description: ''
      properties:
        applicationCapabilityDomainId1:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationCapabilityDomainId2:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationCapabilityDomainValueId:
          description: ''
          format: int32
          type: integer
        displayName:
          description: ''
          nullable: true
          type: string
        valueName:
          description: ''
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````